=== debian/changelog ===
ros-rolling-rcl (5.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rcl (5.0.0-1focal) focal; urgency=high

  * Make rcl_difference_times args const (#955 <https://github.com/ros2/rcl/issues/955>)
  * Update inject_on_return test skipping logic (#953 <https://github.com/ros2/rcl/issues/953>)
  * Fix jump callbacks being called when zero time jump thresholds used (#948 <https://github.com/ros2/rcl/issues/948>)
  * Only change the default logger level if default_logger_level is set (#943 <https://github.com/ros2/rcl/issues/943>)
  * Add Library for wait_for_entity_helpers to deduplicate compilation (#942 <https://github.com/ros2/rcl/issues/942>)
  * Increase Windows timeout 15 -> 25 ms (#940 <https://github.com/ros2/rcl/issues/940>)
  * test should check specified number of entities. (#935 <https://github.com/ros2/rcl/issues/935>)
  * Contributors: Jafar Abdi, Scott K Logan, Shane Loretz, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Dec 2021 08:00:00 -0000

ros-rolling-rcl (4.0.0-1focal) focal; urgency=high

  * Fix up documentation build for rcl when using rosdoc2 (#932 <https://github.com/ros2/rcl/issues/932>)
  * Include rmw_event_t instead of forward declaring it (#933 <https://github.com/ros2/rcl/issues/933>)
  * Contributors: Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 16 Sep 2021 07:00:00 -0000

ros-rolling-rcl (3.2.0-1focal) focal; urgency=high

  * Add rcl_publisher_wait_for_all_acked support. (#913 <https://github.com/ros2/rcl/issues/913>)
  * Add tracing instrumentation for rcl_take. (#930 <https://github.com/ros2/rcl/issues/930>)
  * Fix #include in C++ typesupport example in rcl_subscription_init docblock. (#927 <https://github.com/ros2/rcl/issues/927>)
  * Update includes after rcutils/get_env.h deprecation. (#917 <https://github.com/ros2/rcl/issues/917>)
  * Use proper rcl_logging return value type and compare to constant. (#916 <https://github.com/ros2/rcl/issues/916>)
  * Contributors: Barry Xu, Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 02 Sep 2021 07:00:00 -0000

ros-rolling-rcl (3.1.2-1focal) focal; urgency=high

  * Fix up test_network_flow_endpoints. (#912 <https://github.com/ros2/rcl/issues/912>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.1.1-1focal) focal; urgency=high

  * Make test_two_timers_ready_before_timeout less flaky (#911 <https://github.com/ros2/rcl/issues/911>)
  * Add publishing instrumentation (#905 <https://github.com/ros2/rcl/issues/905>)
  * Contributors: Christophe Bedard, Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.1.0-1focal) focal; urgency=high

  * Unique network flows (#880 <https://github.com/ros2/rcl/issues/880>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#909 <https://github.com/ros2/rcl/issues/909>)
  * Add functions for waiting for publishers and subscribers (#907 <https://github.com/ros2/rcl/issues/907>)
  * Revert "Mark cyclonedds test_service test as flakey (#648 <https://github.com/ros2/rcl/issues/648>)" (#904 <https://github.com/ros2/rcl/issues/904>)
  * Guard against returning NULL or empty node names (#570 <https://github.com/ros2/rcl/issues/570>)
  * Contributors: Ananya Muddukrishna, Jacob Perron, Michel Hidalgo, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rcl (3.0.1-1focal) focal; urgency=high

  * Remove exceptions for rmw_connext_cpp tests. (#903 <https://github.com/ros2/rcl/issues/903>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rcl (3.0.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rcl (2.6.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#895 <https://github.com/ros2/rcl/issues/895>)
  * Put an argument list of 'void' where no arguments are expected. (#899 <https://github.com/ros2/rcl/issues/899>)
  * Cleanup documentation for doxygen. (#896 <https://github.com/ros2/rcl/issues/896>)
  * Contributors: Andrea Sorbini, Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rcl (2.5.2-1focal) focal; urgency=high

  * Reference test resources directly from source tree (#554 <https://github.com/ros2/rcl/issues/554>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 05 Feb 2021 08:00:00 -0000

ros-rolling-rcl (2.5.1-1focal) focal; urgency=high

  * Re-add "Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)" (#884 <https://github.com/ros2/rcl/issues/884>)
  * Revert "Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)" (#883 <https://github.com/ros2/rcl/issues/883>)
  * Move the guard condition cleanup after removing callback. (#877 <https://github.com/ros2/rcl/issues/877>)
  * Make test_subscription_nominal_string_sequence more reliable (#881 <https://github.com/ros2/rcl/issues/881>)
  * Improve trigger test for graph guard condition (#811 <https://github.com/ros2/rcl/issues/811>)
  * Add NULL check in remap.c (#879 <https://github.com/ros2/rcl/issues/879>)
  * Contributors: Barry Xu, Chris Lalancette, Ivan Santiago Paunovic, Nikolai Morin

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 25 Jan 2021 08:00:00 -0000

ros-rolling-rcl (2.5.0-1focal) focal; urgency=high

  * Add const to constant rcl_context functions (#872 <https://github.com/ros2/rcl/issues/872>)
  * Fix another failing test on CentOS 7 (#863 <https://github.com/ros2/rcl/issues/863>)
  * Update QDs to QL 1 (#866 <https://github.com/ros2/rcl/issues/866>)

