=== debian/control ===
Source: ros-rolling-rcl
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-launch, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-mimick-vendor, ros-rolling-osrf-testing-tools-cpp, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-logging-spdlog, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-implementation, ros-rolling-rmw-implementation-cmake, ros-rolling-rosidl-runtime-c, ros-rolling-test-msgs, ros-rolling-tracetools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-logging-spdlog, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-implementation, ros-rolling-rosidl-runtime-c, ros-rolling-tracetools, ros-rolling-ros-workspace
Description: The ROS client library common implementation.
 This package contains an API which builds on the ROS middleware API and is optionally built upon by the other ROS client libraries.
