=== debian/changelog ===
ros-rolling-rcl (7.1.1-1jammy) jammy; urgency=high

  * Cut down the amount of time for test_logging_rosout. (#1098 <https://github.com/ros2/rcl/issues/1098>)
  * Simplify local_namespace handling in rcl_node_init. (#1097 <https://github.com/ros2/rcl/issues/1097>)
  * Reduce the number of tests we run (#1096 <https://github.com/ros2/rcl/issues/1096>)
  * Adding duplicate node information (#1088 <https://github.com/ros2/rcl/issues/1088>)
  * Revamp the test_get_type_description_service. (#1095 <https://github.com/ros2/rcl/issues/1095>)
  * Cleanup network flow endpoints test. (#1094 <https://github.com/ros2/rcl/issues/1094>)
  * Reduce the failure timeout time for namespaces. (#1093 <https://github.com/ros2/rcl/issues/1093>)
  * Shorten wait time for a subscription not being ready. (#1092 <https://github.com/ros2/rcl/issues/1092>)
  * Contributors: Chris Lalancette, Lucas Wendland

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rcl (7.1.0-1jammy) jammy; urgency=high

  * rcl_send_response returns RCL_RET_TIMEOUT. (#1048 <https://github.com/ros2/rcl/issues/1048>)
  * Move test_namespace into the correct directory. (#1087 <https://github.com/ros2/rcl/issues/1087>)
  * Reset errors in tests to reduce warnings (#1085 <https://github.com/ros2/rcl/issues/1085>)
  * Cleanup error reporting in the type hash code. (#1084 <https://github.com/ros2/rcl/issues/1084>)
  * Instrument loaned message publication code path (#1083 <https://github.com/ros2/rcl/issues/1083>)
  * Contributors: Chris Lalancette, Christophe Bedard, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rcl (7.0.0-1jammy) jammy; urgency=high

  * Add ~/get_type_description service (rep2011) (#1052 <https://github.com/ros2/rcl/issues/1052>)
  * Modifies timers API to select autostart state (#1004 <https://github.com/ros2/rcl/issues/1004>)
  * test publisher/subscription with the c/cpp typesupport for test_msgs::msg::array (#1074 <https://github.com/ros2/rcl/issues/1074>)
  * validation result should be used to print the error message. (#1077 <https://github.com/ros2/rcl/issues/1077>)
  * Contributors: Chen Lihui, Eloy Briceno, Hans-Joachim Krauch, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rcl (6.3.0-1jammy) jammy; urgency=high

  * improve error msg of rcl_expand_topic_name (#1076 <https://github.com/ros2/rcl/issues/1076>)
  * Use TRACETOOLS_ prefix for tracepoint-related macros (#1058 <https://github.com/ros2/rcl/issues/1058>)
  * Contributors: Christophe Bedard, Eric W

 -- Audrow Nash <audrow@openrobotics.org>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rcl (6.2.0-1jammy) jammy; urgency=high

  * fix comment (#1073 <https://github.com/ros2/rcl/issues/1073>)
  * localhost_only prevails auto discovery options if enabled. (#1069 <https://github.com/ros2/rcl/issues/1069>)
  * Avoid dynamic allocation of message before sending over rosout (#1067 <https://github.com/ros2/rcl/issues/1067>)
  * Contributors: Chen Lihui, Christopher Wecht, Tomoya Fujita

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rcl (6.1.1-1jammy) jammy; urgency=high

  * clarify rcl_node_init return code (#1066 <https://github.com/ros2/rcl/issues/1066>)
  * Contributors: Eric W

 -- Audrow Nash <audrow@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rcl (6.1.0-1jammy) jammy; urgency=high

  * Fix a format-security warning when building with clang. (#1064 <https://github.com/ros2/rcl/issues/1064>)
  * Contributors: Chris Lalancette

 -- Audrow Nash <audrow@openrobotics.org>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-rcl (6.0.1-1jammy) jammy; urgency=high

  * fix flaky test (#1063 <https://github.com/ros2/rcl/issues/1063>)
  * Contributors: Chen Lihui

 -- Audrow Nash <audrow@openrobotics.org>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rcl (6.0.0-1jammy) jammy; urgency=high

  * Add enable_type_description_service node option - API only (#1060 <https://github.com/ros2/rcl/issues/1060>)
  * Dynamic Subscription (BONUS: Allocators): rcl (#1057 <https://github.com/ros2/rcl/issues/1057>)
  * Runtime Interface Reflection: rcl (#1025 <https://github.com/ros2/rcl/issues/1025>)
  * [rcl] Improve handling of dynamic discovery  (#1023 <https://github.com/ros2/rcl/issues/1023>)
  * Use get_type_hash_func for typesupports (#1055 <https://github.com/ros2/rcl/issues/1055>)
  * publish for rosout topic multiple times to avoid flaky test (#1054 <https://github.com/ros2/rcl/issues/1054>)
  * Switch to target_link_libraries in rcl. (#1051 <https://github.com/ros2/rcl/issues/1051>)
  * Calculate type hash from TypeDescription (rep2011) (#1027 <https://github.com/ros2/rcl/issues/1027>)
  * Implement matched event (#1033 <https://github.com/ros2/rcl/issues/1033>)
  * use user-defined allocator to configure logging. (#1047 <https://github.com/ros2/rcl/issues/1047>)
  * user defined allocator should be used for rosout publisher. (#1044 <https://github.com/ros2/rcl/issues/1044>)
  * Add in inconsistent_topic implementation. (#1024 <https://github.com/ros2/rcl/issues/1024>)
  * doc update, ROS message accessibility depends on RMW implementation. (#1043 <https://github.com/ros2/rcl/issues/1043>)
  * Fix some warnings from clang. (#1042 <https://github.com/ros2/rcl/issues/1042>)
  * avoid unnecessary copy for rcutils_char_array_vsprintf. (#1035 <https://github.com/ros2/rcl/issues/1035>)
  * Contributors: Barry Xu, Chen Lihui, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Tomoya Fujita, methylDragon

 -- Audrow Nash <audrow@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rcl (5.9.0-1jammy) jammy; urgency=high

  * Service introspection (#997 <https://github.com/ros2/rcl/issues/997>)
  * Cache disable flag to avoid reading environmental variable. (#1029 <https://github.com/ros2/rcl/issues/1029>)
  * Contributors: Brian, Tomoya Fujita


