=== debian/control ===
Source: ros-rolling-rcl
Section: misc
Priority: optional
Maintainer: Audrow Nash <audrow@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-launch <!nocheck>, ros-rolling-launch-testing <!nocheck>, ros-rolling-launch-testing-ament-cmake <!nocheck>, ros-rolling-libyaml-vendor, ros-rolling-mimick-vendor <!nocheck>, ros-rolling-osrf-testing-tools-cpp <!nocheck>, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-logging-spdlog, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcpputils <!nocheck>, ros-rolling-rcutils, ros-rolling-rmw <!nocheck>, ros-rolling-rmw-implementation, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-rosidl-runtime-c, ros-rolling-rosidl-runtime-cpp <!nocheck>, ros-rolling-service-msgs, ros-rolling-test-msgs <!nocheck>, ros-rolling-tracetools, ros-rolling-type-description-interfaces, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-rolling-libyaml-vendor, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-logging-spdlog, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw-implementation, ros-rolling-rosidl-runtime-c, ros-rolling-service-msgs, ros-rolling-tracetools, ros-rolling-type-description-interfaces, ros-rolling-ros-workspace
Description: The ROS client library common implementation.
 This package contains an API which builds on the ROS middleware API and is optionally built upon by the other ROS client libraries.
